import xhiveframework
from xhiveframework.utils import cint


def execute():
	xhiveframework.reload_doc("xhiveerp_integrations", "doctype", "woocommerce_settings")
	doc = xhiveframework.get_doc("Woocommerce Settings")

	if cint(doc.enable_sync):
		doc.creation_user = doc.modified_by
		doc.save(ignore_permissions=True)
